#include <stdio.h>
#include <conio.h>

int getnombre()
{
	int c;
	int n=0;
	do
	{
		c=getch();	// attends la prochaine touche
		if (c>='0' && c<='9')  // si c'est un chiffre uniquement
		{
			n*=10;	
			n+=(c-'0');		// mise a jour de n
			printf("*");
		}
	}
	while(c!=0x0D);	// jusqu'a entre (code 0x0D)
	printf("\n");  // revient  la ligne
	return n;
}

int main()
{
	int a;
	printf("Tapez un nombre\n");
	a=getnombre();	
	printf("Nombre = %d\n",a);
	return 0;
}

/*!F

Voici un petit programme sympa, utilisant la fonction getch de conio qui attend la prochaine frappe
de touche. contrairement a getchar qui ne valide que quand on lui envoie entre, getch() passe quand on lui
envoie n'importe quelle touche, il rcupere alors le code (ASCII) de la touche.

Les difficults viennent de la manipulation de ces caracteres :
en effet, je rcuperes mon caractere dans c

Cependant, c est un code ASCII, si je tape sur 0, la code de '0' est 48
le code de '1' est 49, etc !! et le reste se suit...
Mais a la rigueur, les valeurs des codes, on s'en fiche :

le code de zro se rcupere avec '0'
le code de la lettre w se rcupere avec 'w'
etc !!

donc en toute logique, pour savoir si le code tap est un chiffre il est entre '0' et '9'
(lire : "code de 0" et "code de 9")
on a la ligne :

if (c>='0' && c<='9')

Puis ensuite, il faut savoir que les codes se suivent : le code de 0 est juste avant celui de 1 
qui est juste avant celui de 2, etc !!

donc pour obtenir le nombre voulu : une astuce :   c-'0'  (le code, moins le code de zro donne le bon nombre)

Le reste du programme doit se comprendre :)

Note : ne tapez pas des nombres de plus de 9-10 chiffres, car sinon, vous faites dborder le int, et vous aurez un nombre inattendu.


si vous etes interess par la table ASCII:

http://www.asciitable.com/

!*/

/*!E
	No explanations yet.
!*/

/*
titre: Taper un mot de passe avec des ****
titreE: Entering a password with ****
meta: C;conio;mot de passe;toiles
metaE: C;conio;password;star
desc : Une petite fonction pour entrer un nombre sans l'afficher. On l'affichera  la fin pour bien montrer que le nombre a t pris.
descE : A function allowing you to enter a password, showing only stars instead of the password you type.
cle  : getch
*/

